Bug 1658325 - new version of virt-viewer removes /usr/libexec/spice-xpi-client-remote-viewer but fails to remove alternatives for spice-xpi-client
Summary: new version of virt-viewer removes /usr/libexec/spice-xpi-client-remote-viewe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: 7.7
Assignee: Victor Toso
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 18:27 UTC by Andrew Schorr
Modified: 2019-08-06 13:07 UTC (History)
6 users (show)

Fixed In Version: virt-viewer-5.0-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:07:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2229 None None None 2019-08-06 13:07:50 UTC

Description Andrew Schorr 2018-12-11 18:27:21 UTC
Description of problem: After upgrading from virt-viewer-5.0-10.el7.x86_64 to virt-viewer-5.0-11.el7.x86_64, there is a dangling symlink in /etc/alternatives/spice-xpi-client


Version-Release number of selected component (if applicable):
virt-viewer-5.0-11.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. rpm -Uvh ./virt-viewer-5.0-11.el7.x86_64.rpm
2. [ -h /etc/alternatives/spice-xpi-client -a \! -f /etc/alternatives/spice-xpi-client ] && echo symlink missing

3.

Actual results:
symlink missing

Expected results:
The rpm scripts should remove the obsolete alternative by running /usr/sbin/update-alternatives --remove spice-xpi-client /usr/libexec/spice-xpi-client-remote-viewer


Additional info:

Comment 2 Victor Toso 2018-12-12 10:47:03 UTC
Thanks for the report.

Comment 4 zhoujunqin 2019-04-29 07:40:18 UTC
I can reproduce this bug with version:
virt-viewer-5.0-11.el7.x86_64

Steps:
1. Prepare a host with "virt-viewer-5.0-10.el7.x86_64" installed.
$ rpm -q virt-viewer
virt-viewer-5.0-10.el7.x86_64
1.1 Check status of file "/etc/alternatives/spice-xpi-client".
$ ll /etc/alternatives/spice-xpi-client
lrwxrwxrwx. 1 root root 43 Apr 29 15:17 /etc/alternatives/spice-xpi-client -> /usr/libexec/spice-xpi-client-remote-viewer

Result: File "/etc/alternatives/spice-xpi-client" is existing.

2. Update virt-viewer version to virt-viewer-5.0-11.el7.x86_64
# yum update virt-viewer-5.0-11.el7.x86_64.rpm -y 
...
$ rpm -q virt-viewer
virt-viewer-5.0-11.el7.x86_64
2.1 Check status of file "/etc/alternatives/spice-xpi-client".
$ ll /etc/alternatives/spice-xpi-client
lrwxrwxrwx. 1 root root 43 Apr 29 15:17 /etc/alternatives/spice-xpi-client -> /usr/libexec/spice-xpi-client-remote-viewer

Result: There is a dangling symlink in /etc/alternatives/spice-xpi-client, so I can reproduce this bug now.

Then try to verify this bug with latest version:
virt-viewer-5.0-13.el7.x86_64

3. Update virt-viewer from old version "virt-viewer-5.0-11.el7.x86_64" to latest version "virt-viewer-5.0-13.el7.x86_64"
# yum update virt-viewer-5.0-13.el7.x86_64 -y
3.1 Check status of file "/etc/alternatives/spice-xpi-client" again.
$ ll /etc/alternatives/spice-xpi-client
ls: cannot access /etc/alternatives/spice-xpi-client: No such file or directory

Result: File "/etc/alternatives/spice-xpi-client" isn't existing now.
New version of virt-viewer removes alternatives for spice-xpi-client so I move this bug from ON_QA to VERIFIED.

Comment 6 errata-xmlrpc 2019-08-06 13:07:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2229


Note You need to log in before you can comment on or make changes to this bug.